[求助]VirtualBox 5.0在ubuntu下安装失败

Kvm、VMware、Virtualbox、Xen、Qemu 等
回复
jasonhc
帖子: 13
注册时间: 2011-08-30 11:33
送出感谢: 0
接收感谢: 0

[求助]VirtualBox 5.0在ubuntu下安装失败

#1

帖子 jasonhc » 2015-11-12 20:24

ubuntu 14. 直接apt-get的错误提示(已经按照官网的操作步骤 https://www.virtualbox.org/wiki/Linux_Downloads):
? ~ sudo apt-get install -f virtualbox-5.0
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
virtualbox-5.0:i386 已经是最新的版本了。
您可能需要运行“apt-get -f install”来纠正下列错误:
下列软件包有未满足的依赖关系:
virtualbox-5.0:i386 : 依赖: libcurl3:i386 (>= 7.16.2) 但是它将不会被安装
依赖: libdevmapper1.02.1:i386 (>= 2:1.02.20) 但是它将不会被安装
依赖: libpython2.7:i386 (>= 2.7) 但是它将不会被安装
依赖: libsdl1.2debian:i386 (>= 1.2.11) 但是它将不会被安装
依赖: libxmu6:i386 但是它将不会被安装
依赖: psmisc:i386 但是它将不会被安装
推荐: libsdl-ttf2.0-0:i386 但是它将不会被安装
推荐: dkms:i386 但无法安装它
推荐: linux-headers:i386
推荐: gcc:i386 但是它将不会被安装
推荐: binutils:i386 但是它将不会被安装
推荐: pdf-viewer:i386
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。

* 手动下载deb包再安装,也是失败:
? ~ sudo dpkg -i /home/hechuan/download/virtualbox-5.0_5.0.10-104061_Ubuntu_trusty_i386.deb
(正在读取数据库 ... 系统当前共安装有 231591 个文件和目录。)
Preparing to unpack .../virtualbox-5.0_5.0.10-104061_Ubuntu_trusty_i386.deb ...
Unpacking virtualbox-5.0 (5.0.10-104061~Ubuntu~trusty) over (5.0.10-104061~Ubuntu~trusty) ...
dpkg: dependency problems prevent configuration of virtualbox-5.0:
virtualbox-5.0 依赖于 libcurl3 (>= 7.16.2).
virtualbox-5.0 依赖于 libdevmapper1.02.1 (>= 2:1.02.20).
virtualbox-5.0 依赖于 libpython2.7 (>= 2.7).
virtualbox-5.0 依赖于 libsdl1.2debian (>= 1.2.11).
virtualbox-5.0 依赖于 libxmu6.
virtualbox-5.0 依赖于 psmisc.

dpkg: error processing package virtualbox-5.0 (--install):
依赖关系问题 - 仍未被配置
Processing triggers for ureadahead (0.100.0-16) ...
Processing triggers for hicolor-icon-theme (0.13-1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1) ...
Processing triggers for bamfdaemon (0.5.1+14.04.20140409-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.54ubuntu1) ...
在处理时有错误发生:
virtualbox-5.0
poloshiao
论坛版主
帖子: 18280
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1955 次

Re: [求助]VirtualBox 5.0在ubuntu下安装失败

#2

帖子 poloshiao » 2015-11-12 21:32

(已经按照官网的操作步骤 https://www.virtualbox.org/wiki/Linux_Downloads):
你有在 /etc/apt/sources.list 加上
deb http://download.virtualbox.org/virtualbox/debian vivid contrib
?

參閱
https://help.ubuntu.com/community/Virtu ... stallation
头像
Ping-Wu
帖子: 1135
注册时间: 2012-11-14 9:34
系统: Ubuntu 18.04.1
送出感谢: 3 次
接收感谢: 55 次

Re: [求助]VirtualBox 5.0在ubuntu下安装失败

#3

帖子 Ping-Wu » 2015-11-13 1:26

jasonhc 写了:ubuntu 14. 直接apt-get的错误提示(已经按照官网的操作步骤 https://www.virtualbox.org/wiki/Linux_Downloads):

甲骨文 Oracle 的网站 (VirtualBox.org) 虽然提供virtualbox的deb及rpm包,但像VirtualBox这么复杂的套件,一个简单的deb/rpm包实在很难适应所有的环境。

另外,因为VirtualBox更新的速度很积极(差不多 1 ~ 2 个月就更新一次),更新后必须要重新装核心模块(kernel module)。因此如果有心学习虚拟机操作的话,我们强烈建议不要为了方便用deb/rpm的方式安装,而是一开始就多花一点时间,把Oracle的repository放到 apt 的 source.list.d 里面。

以下是我们认为在Ubuntu里装设VirtualBox的较优步骤(适用于Ubuntu 14.04):

1. 打开一个terminal。

2. 下载及注册 Oracle VirtualBox 的 public key for apt-secure:

wget -q http://download.virtualbox.org/virtualb ... e_vbox.asc -O- | sudo apt-key add -

3. 把 Oracle VirtualBox 的套件库加入Ubuntu:

echo deb http://download.virtualbox.org/virtualbox/debian trusty contrib > vbox.list; sudo mv vbox.list /etc/apt/sources.list.d/

4. 把 apt-get 的套件库资料更新以后,就可以装设最新版的 VirtualBox 了:

sudo apt-get update; sudo apt-get install virtualbox-5.0

以上的步骤,只是提供VirtualBox最基本的功能,对桌面使用者,必须再补充一些增强的步骤:

5. 到 virtualbox.org 网站下载 VirtualBox Extension Pack:

https://www.virtualbox.org/wiki/Downloads

双击下载的档案,Virtualbox就会自动被启动来装设这个套件。

6. 把自己(使用者)加入 vboxusers群里:

sudo usermod -a -G vboxusers $USER

6a. 确认自己的使用者的login id 在 vboxusers 群里:

getent group vboxusers


如果虚拟机是Ubuntu(或其他Linux)系统的话,建议也在虚拟机里执行下列指令:

(在虚拟机里) sudo usermod -a -G vboxsf $USER

不管是Linux或Windows虚拟机,装完系统后一定要加装Guest Additions。不装的话,就不要抱怨不好用。


http://www.ubuntukylin.com/ukylin/forum ... 244&extra=

http://www.ubuntukylin.com/ukylin/forum ... 438&extra=
上次由 Ping-Wu 在 2015-11-15 1:00,总共编辑 1 次。
jasonhc
帖子: 13
注册时间: 2011-08-30 11:33
送出感谢: 0
接收感谢: 0

Re: [求助]VirtualBox 5.0在ubuntu下安装失败

#4

帖子 jasonhc » 2015-11-13 10:42

加了啊
poloshiao 写了:
(已经按照官网的操作步骤 https://www.virtualbox.org/wiki/Linux_Downloads):
你有在 /etc/apt/sources.list 加上
deb http://download.virtualbox.org/virtualbox/debian vivid contrib
?

參閱
https://help.ubuntu.com/community/Virtu ... stallation
poloshiao
论坛版主
帖子: 18280
注册时间: 2009-08-04 16:33
送出感谢: 21 次
接收感谢: 1955 次

Re: [求助]VirtualBox 5.0在ubuntu下安装失败

#5

帖子 poloshiao » 2015-11-13 10:47

加了啊
1. 養成習慣
要安裝任何套件前 先把你已安裝的全部套件 更新到最新版本
sudo apt-get update
sudo apt-get upgrade
如果有錯誤訊息 先解決錯誤訊息
2. 然後再安裝套件
例如
sudo apt-get install virtualbox-5.0
sudo apt-get install -f virtualbox-5.0
3. 加 -f 壞處多於好處
除非萬不得已 否則不加 -f
3-1. 參見
http://manpages.ubuntu.com/manpages/wil ... get.8.html
-f, --fix-broken
Fix; attempt to correct a system with broken dependencies in place.
This option, when used with install/remove, can omit any packages
to permit APT to deduce a likely solution. If packages are
specified, these have to completely correct the problem. The option
is sometimes necessary when running APT for the first time; APT
itself does not allow broken package dependencies to exist on a
system. It is possible that a system's dependency structure can be
so corrupt as to require manual intervention (which usually means
using dpkg --remove to eliminate some of the offending packages).
Use of this option together with -m may produce an error in some
situations.
silian2012
帖子: 1
注册时间: 2016-06-14 22:28
系统: ubuntu14.04
送出感谢: 0
接收感谢: 0

Re: [求助]VirtualBox 5.0在ubuntu下安装失败

#6

帖子 silian2012 » 2016-06-14 22:42

jasonhc, ,哥们,virtualbox-5.0在ubuntu14.04里边安装问题,解决了吗,我最近一直在纠结这个问题
回复

回到 “虚拟机和虚拟化”